// 企业路由信息
import Layout from '@/layout/enterprise.vue'

const enterprise = [
  {
    path: '/enterprise/talentPool',
    component: Layout,
    name: 'talentPool',
    meta: {
      title: '人才库',
      enName: 'Talent Pool',
      icon: 'mdi-account-multiple'
    },
    children: [
      {
        path: '/enterprise/talentPool',
        show: true,
        component: () => import('@/views/enterprise/talentPool/index.vue')
      }
    ]
  },
  {
    path: '/enterprise/statistics',
    component: Layout,
    name: 'enterpriseStatistics',
    meta: {
      title: '统计分析',
      enName: 'Statistics',
      icon: 'mdi-chart-arc'
    },
    children: [
      // {
      //   path: '/enterprise/statistics',
      //   show: true,
      //   component: () => import('@/views/enterprise/statistics/index.vue')
      // },
      {
        path: '/enterprise/statistics/overallAnalysis',
        meta: {
          title: '整体分析'
        },
        component: () => import('@/views/enterprise/statistics/overallAnalysis.vue')
      }
    ]
  },
  {
    path: '/enterprise/position',
    component: Layout,
    name: 'jobManagement',
    meta: {
      title: '职位管理',
      enName: 'Job Management',
      icon: 'mdi-format-list-bulleted-square'
    },
    children: [
      {
        path: '/enterprise/position',
        show: true,
        component: () => import('@/views/enterprise/positionManagement/index.vue')
      }
    ]
  },
  {
    path: '/enterprise/communication',
    component: Layout,
    name: 'Communication',
    meta: {
      title: '沟通',
      enName: 'Communication',
      icon: 'mdi-bell-outline'
    },
    children: [
      {
        path: '/enterprise/communication',
        show: true,
        component: () => import('@/views/enterprise/communication/index.vue')
      }
    ]
  },
  {
    path: '/enterprise/infoManagement',
    component: Layout,
    name: 'infoManagement',
    meta: {
      title: '信息管理',
      enName: 'Info Management',
      icon: 'mdi-list-box'
    },
    children: [
      {
        path: '/enterprise/infoManagement',
        show: true,
        component: () => import('@/views/enterprise/infoManagement/index.vue')
      }
    ]
  },
  {
    path: '/enterprise/systemManagement',
    component: Layout,
    name: 'systemManagement',
    meta: {
      title: '系统管理',
      enName: 'System Management',
      icon: 'mdi-tune'
    },
    children: [
      {
        path: '/enterprise/systemManagement',
        show: true,
        component: () => import('@/views/enterprise/systemManagement/index.vue')
      }
    ]
  }
]
export default enterprise